For the complete documentation index, see llms.txt. This page is also available as Markdown.

Image Transformations

Manage image transformations in the VARIO Cloud API, including resizing, rotation, watermarks, sharing, storage duration and file downloads.

Manage transformations for image resource

get
Path parameters
idinteger · int64Required

Image identifier.

transformationIdinteger · int64Required

transformation id

Responses
200

OK

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

uiKeystringOptional

For distinguishing different transformations.

sizeXinteger · int32Optional

Width in pixels.

sizeYinteger · int32Optional

Height in pixels.

rotationinteger · int32Optional

Rotation in degrees.

watermarkLabelstringOptional

Watermark.

imageFileStorageHandlestringRead-onlyOptional

Internal reference to the physical file.

imageFileCreatedAtstring · dateRead-onlyOptional

When the physical file was created.

imageFileDurationinteger · int32Optional

For how many days this physical file is kept (0 means unlimited).

get/dms/resources/{id}/transformations/{transformationId}
GET /dms/resources/{id}/transformations/{transformationId} HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "uiKey": "text",
  "share": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "publicUrlPath": "text",
    "publicUrlCreatedAt": "2026-01-01",
    "publicUrlDurationInMinutes": 1,
    "availability": "UNLIMITED",
    "timesUsed": 1,
    "appId": "123e4567-e89b-12d3-a456-426614174000",
    "sharedByExternalRef": "text",
    "revision": 1,
    "eTag": "text",
    "custom": {
      "empty": true,
      "array": true,
      "null": true,
      "object": true,
      "float": true,
      "missingNode": true,
      "valueNode": true,
      "container": true,
      "integralNumber": true,
      "binary": true,
      "nodeType": "ARRAY",
      "string": true,
      "pojo": true,
      "short": true,
      "int": true,
      "long": true,
      "double": true,
      "bigDecimal": true,
      "bigInteger": true,
      "boolean": true,
      "floatingPointNumber": true,
      "number": true,
      "embeddedValue": true
    },
    "publishState": "SYNCED",
    "translatableTexts": [],
    "etag": "text"
  },
  "sizeX": 1,
  "sizeY": 1,
  "rotation": 1,
  "watermarkLabel": "text",
  "imageFileStorageHandle": "text",
  "imageFileCreatedAt": "2026-01-01",
  "imageFileDuration": 1
}

Update existing Image Transformation

put
Path parameters
idinteger · int64Required

Image identifier.

transformationIdinteger · int64Required

transformationId

Body
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

uiKeystringOptional

For distinguishing different transformations.

sizeXinteger · int32Optional

Width in pixels.

sizeYinteger · int32Optional

Height in pixels.

rotationinteger · int32Optional

Rotation in degrees.

watermarkLabelstringOptional

Watermark.

imageFileStorageHandlestringRead-onlyOptional

Internal reference to the physical file.

imageFileCreatedAtstring · dateRead-onlyOptional

When the physical file was created.

imageFileDurationinteger · int32Optional

For how many days this physical file is kept (0 means unlimited).

Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

uiKeystringOptional

For distinguishing different transformations.

sizeXinteger · int32Optional

Width in pixels.

sizeYinteger · int32Optional

Height in pixels.

rotationinteger · int32Optional

Rotation in degrees.

watermarkLabelstringOptional

Watermark.

imageFileStorageHandlestringRead-onlyOptional

Internal reference to the physical file.

imageFileCreatedAtstring · dateRead-onlyOptional

When the physical file was created.

imageFileDurationinteger · int32Optional

For how many days this physical file is kept (0 means unlimited).

put/dms/resources/{id}/transformations/{transformationId}
PUT /dms/resources/{id}/transformations/{transformationId} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 751

{
  "version": "text",
  "info": {},
  "id": "text",
  "uiKey": "text",
  "share": {
    "version": "text",
    "info": {},
    "id": "text",
    "publicUrlDurationInMinutes": 1,
    "availability": "UNLIMITED",
    "appId": "123e4567-e89b-12d3-a456-426614174000",
    "sharedByExternalRef": "text",
    "custom": {
      "empty": true,
      "array": true,
      "null": true,
      "object": true,
      "float": true,
      "missingNode": true,
      "valueNode": true,
      "container": true,
      "integralNumber": true,
      "binary": true,
      "nodeType": "ARRAY",
      "string": true,
      "pojo": true,
      "short": true,
      "int": true,
      "long": true,
      "double": true,
      "bigDecimal": true,
      "bigInteger": true,
      "boolean": true,
      "floatingPointNumber": true,
      "number": true,
      "embeddedValue": true
    },
    "publishState": "SYNCED",
    "translatableTexts": [],
    "etag": "text"
  },
  "sizeX": 1,
  "sizeY": 1,
  "rotation": 1,
  "watermarkLabel": "text",
  "imageFileDuration": 1
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "uiKey": "text",
  "share": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "publicUrlPath": "text",
    "publicUrlCreatedAt": "2026-01-01",
    "publicUrlDurationInMinutes": 1,
    "availability": "UNLIMITED",
    "timesUsed": 1,
    "appId": "123e4567-e89b-12d3-a456-426614174000",
    "sharedByExternalRef": "text",
    "revision": 1,
    "eTag": "text",
    "custom": {
      "empty": true,
      "array": true,
      "null": true,
      "object": true,
      "float": true,
      "missingNode": true,
      "valueNode": true,
      "container": true,
      "integralNumber": true,
      "binary": true,
      "nodeType": "ARRAY",
      "string": true,
      "pojo": true,
      "short": true,
      "int": true,
      "long": true,
      "double": true,
      "bigDecimal": true,
      "bigInteger": true,
      "boolean": true,
      "floatingPointNumber": true,
      "number": true,
      "embeddedValue": true
    },
    "publishState": "SYNCED",
    "translatableTexts": [],
    "etag": "text"
  },
  "sizeX": 1,
  "sizeY": 1,
  "rotation": 1,
  "watermarkLabel": "text",
  "imageFileStorageHandle": "text",
  "imageFileCreatedAt": "2026-01-01",
  "imageFileDuration": 1
}

delete an existing image share

delete
Path parameters
idinteger · int64Required

Image identifier.

transformationIdinteger · int64Required

an identifier

Responses
200

OK

application/json
contextstringOptional

message context

messageValuestringOptional

message

delete/dms/resources/{id}/transformations/{transformationId}
DELETE /dms/resources/{id}/transformations/{transformationId} HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "context": "text",
  "messageValue": "text"
}
get
Path parameters
idinteger · int64Required

Image identifier.

Responses
200

OK

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

uiKeystringOptional

For distinguishing different transformations.

sizeXinteger · int32Optional

Width in pixels.

sizeYinteger · int32Optional

Height in pixels.

rotationinteger · int32Optional

Rotation in degrees.

watermarkLabelstringOptional

Watermark.

imageFileStorageHandlestringRead-onlyOptional

Internal reference to the physical file.

imageFileCreatedAtstring · dateRead-onlyOptional

When the physical file was created.

imageFileDurationinteger · int32Optional

For how many days this physical file is kept (0 means unlimited).

get/dms/resources/{id}/transformations
GET /dms/resources/{id}/transformations HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

[]

Create new Image Transformation

post
Path parameters
idinteger · int64Required

Image identifier.

Body
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

uiKeystringOptional

For distinguishing different transformations.

sizeXinteger · int32Optional

Width in pixels.

sizeYinteger · int32Optional

Height in pixels.

rotationinteger · int32Optional

Rotation in degrees.

watermarkLabelstringOptional

Watermark.

imageFileStorageHandlestringRead-onlyOptional

Internal reference to the physical file.

imageFileCreatedAtstring · dateRead-onlyOptional

When the physical file was created.

imageFileDurationinteger · int32Optional

For how many days this physical file is kept (0 means unlimited).

Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

uiKeystringOptional

For distinguishing different transformations.

sizeXinteger · int32Optional

Width in pixels.

sizeYinteger · int32Optional

Height in pixels.

rotationinteger · int32Optional

Rotation in degrees.

watermarkLabelstringOptional

Watermark.

imageFileStorageHandlestringRead-onlyOptional

Internal reference to the physical file.

imageFileCreatedAtstring · dateRead-onlyOptional

When the physical file was created.

imageFileDurationinteger · int32Optional

For how many days this physical file is kept (0 means unlimited).

post/dms/resources/{id}/transformations
POST /dms/resources/{id}/transformations HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 751

{
  "version": "text",
  "info": {},
  "id": "text",
  "uiKey": "text",
  "share": {
    "version": "text",
    "info": {},
    "id": "text",
    "publicUrlDurationInMinutes": 1,
    "availability": "UNLIMITED",
    "appId": "123e4567-e89b-12d3-a456-426614174000",
    "sharedByExternalRef": "text",
    "custom": {
      "empty": true,
      "array": true,
      "null": true,
      "object": true,
      "float": true,
      "missingNode": true,
      "valueNode": true,
      "container": true,
      "integralNumber": true,
      "binary": true,
      "nodeType": "ARRAY",
      "string": true,
      "pojo": true,
      "short": true,
      "int": true,
      "long": true,
      "double": true,
      "bigDecimal": true,
      "bigInteger": true,
      "boolean": true,
      "floatingPointNumber": true,
      "number": true,
      "embeddedValue": true
    },
    "publishState": "SYNCED",
    "translatableTexts": [],
    "etag": "text"
  },
  "sizeX": 1,
  "sizeY": 1,
  "rotation": 1,
  "watermarkLabel": "text",
  "imageFileDuration": 1
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "uiKey": "text",
  "share": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "publicUrlPath": "text",
    "publicUrlCreatedAt": "2026-01-01",
    "publicUrlDurationInMinutes": 1,
    "availability": "UNLIMITED",
    "timesUsed": 1,
    "appId": "123e4567-e89b-12d3-a456-426614174000",
    "sharedByExternalRef": "text",
    "revision": 1,
    "eTag": "text",
    "custom": {
      "empty": true,
      "array": true,
      "null": true,
      "object": true,
      "float": true,
      "missingNode": true,
      "valueNode": true,
      "container": true,
      "integralNumber": true,
      "binary": true,
      "nodeType": "ARRAY",
      "string": true,
      "pojo": true,
      "short": true,
      "int": true,
      "long": true,
      "double": true,
      "bigDecimal": true,
      "bigInteger": true,
      "boolean": true,
      "floatingPointNumber": true,
      "number": true,
      "embeddedValue": true
    },
    "publishState": "SYNCED",
    "translatableTexts": [],
    "etag": "text"
  },
  "sizeX": 1,
  "sizeY": 1,
  "rotation": 1,
  "watermarkLabel": "text",
  "imageFileStorageHandle": "text",
  "imageFileCreatedAt": "2026-01-01",
  "imageFileDuration": 1
}

download the transformed image

get
Path parameters
idinteger · int64Required

Image identifier.

transformationIdinteger · int64Required

transformationId

Query parameters
dispositionstringOptional

Optional: requested content disposition from the request.

Header parameters
If-None-MatchstringOptional
Responses
200

Response contains File

application/*
objectOptional
get/dms/resources/{id}/transformations/{transformationId}/file
GET /dms/resources/{id}/transformations/{transformationId}/file HTTP/1.1
Host: api.example.com
Accept: */*
{}

Last updated

Was this helpful?